/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.test.beans;

import java.util.Objects;

/**
 *
 * @author thomas.millot
 */
public class Pompier {

    private int id;
    private int idCaserne;
    private String nom;
    private String prenom;
    private String Statut;
    private String typePers;
    private String mail;
    private String login;
    private String mdp;
    private String adresse;
    private int cp;
    private String ville;
    private int bip;
    private int nbGardes;
    private int grade;
    private String commentaire;
    private String dateEnreg;
    private String dateModif;

    public Pompier(int id, int idCaserne, String nom, String prenom, String Statut, String typePers, String mail, String login, String mdp, String adresse, int cp, String ville, int bip, int nbGardes, int grade, String commentaire, String dateEnreg, String dateModif) {
        this.id = id;
        this.idCaserne = idCaserne;
        this.nom = nom;
        this.prenom = prenom;
        this.Statut = Statut;
        this.typePers = typePers;
        this.mail = mail;
        this.login = login;
        this.mdp = mdp;
        this.adresse = adresse;
        this.cp = cp;
        this.ville = ville;
        this.bip = bip;
        this.nbGardes = nbGardes;
        this.grade = grade;
        this.commentaire = commentaire;
        this.dateEnreg = dateEnreg;
        this.dateModif = dateModif;
    }

    public Pompier(int aInt, String string, String string0, String string1, String string2, int aInt0, String string3, String string4, String string5, String string6, String string7, String string8) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    public Pompier(int aInt, String string, String string0, String string1, String string2, String string3, String string4, String string5, String string6, int aInt0, String string7, int aInt1, int aInt2, int aInt3, String string8, String string9, String string10) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getIdCaserne() {
        return idCaserne;
    }

    public void setIdCaserne(int idCaserne) {
        this.idCaserne = idCaserne;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getPrenom() {
        return prenom;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }

    public String getStatut() {
        return Statut;
    }

    public void setStatut(String Statut) {
        this.Statut = Statut;
    }

    public String getTypePers() {
        return typePers;
    }

    public void setTypePers(String typePers) {
        this.typePers = typePers;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getMdp() {
        return mdp;
    }

    public void setMdp(String mdp) {
        this.mdp = mdp;
    }

    public String getAdresse() {
        return adresse;
    }

    public void setAdresse(String adresse) {
        this.adresse = adresse;
    }

    public int getCp() {
        return cp;
    }

    public void setCp(int cp) {
        this.cp = cp;
    }

    public String getVille() {
        return ville;
    }

    public void setVille(String ville) {
        this.ville = ville;
    }

    public int getBip() {
        return bip;
    }

    public void setBip(int bip) {
        this.bip = bip;
    }

    public int getNbGardes() {
        return nbGardes;
    }

    public void setNbGardes(int nbGardes) {
        this.nbGardes = nbGardes;
    }

    public int getGrade() {
        return grade;
    }

    public void setGrade(int grade) {
        this.grade = grade;
    }

    public String getCommentaire() {
        return commentaire;
    }

    public void setCommentaire(String commentaire) {
        this.commentaire = commentaire;
    }

    public String getDateEnreg() {
        return dateEnreg;
    }

    public void setDateEnreg(String dateEnreg) {
        this.dateEnreg = dateEnreg;
    }

    public String getDateModif() {
        return dateModif;
    }

    public void setDateModif(String dateModif) {
        this.dateModif = dateModif;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 89 * hash + this.id;
        hash = 89 * hash + this.idCaserne;
        hash = 89 * hash + Objects.hashCode(this.nom);
        hash = 89 * hash + Objects.hashCode(this.prenom);
        hash = 89 * hash + Objects.hashCode(this.Statut);
        hash = 89 * hash + Objects.hashCode(this.typePers);
        hash = 89 * hash + Objects.hashCode(this.mail);
        hash = 89 * hash + Objects.hashCode(this.login);
        hash = 89 * hash + Objects.hashCode(this.mdp);
        hash = 89 * hash + Objects.hashCode(this.adresse);
        hash = 89 * hash + this.cp;
        hash = 89 * hash + Objects.hashCode(this.ville);
        hash = 89 * hash + this.bip;
        hash = 89 * hash + this.nbGardes;
        hash = 89 * hash + this.grade;
        hash = 89 * hash + Objects.hashCode(this.commentaire);
        hash = 89 * hash + Objects.hashCode(this.dateEnreg);
        hash = 89 * hash + Objects.hashCode(this.dateModif);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Pompier other = (Pompier) obj;
        if (this.id != other.id) {
            return false;
        }
        if (this.idCaserne != other.idCaserne) {
            return false;
        }
        if (this.cp != other.cp) {
            return false;
        }
        if (this.bip != other.bip) {
            return false;
        }
        if (this.nbGardes != other.nbGardes) {
            return false;
        }
        if (this.grade != other.grade) {
            return false;
        }
        if (!Objects.equals(this.nom, other.nom)) {
            return false;
        }
        if (!Objects.equals(this.prenom, other.prenom)) {
            return false;
        }
        if (!Objects.equals(this.Statut, other.Statut)) {
            return false;
        }
        if (!Objects.equals(this.typePers, other.typePers)) {
            return false;
        }
        if (!Objects.equals(this.mail, other.mail)) {
            return false;
        }
        if (!Objects.equals(this.login, other.login)) {
            return false;
        }
        if (!Objects.equals(this.mdp, other.mdp)) {
            return false;
        }
        if (!Objects.equals(this.adresse, other.adresse)) {
            return false;
        }
        if (!Objects.equals(this.ville, other.ville)) {
            return false;
        }
        if (!Objects.equals(this.commentaire, other.commentaire)) {
            return false;
        }
        if (!Objects.equals(this.dateEnreg, other.dateEnreg)) {
            return false;
        }
        if (!Objects.equals(this.dateModif, other.dateModif)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Pompier{" + "id=" + id + ", idCaserne=" + idCaserne + ", nom=" + nom + ", prenom=" + prenom + ", Statut=" + Statut + ", typePers=" + typePers + ", mail=" + mail + ", login=" + login + ", mdp=" + mdp + ", adresse=" + adresse + ", cp=" + cp + ", ville=" + ville + ", bip=" + bip + ", nbGardes=" + nbGardes + ", grade=" + grade + ", commentaire=" + commentaire + ", dateEnreg=" + dateEnreg + ", dateModif=" + dateModif + '}';
    }

}
